Click or drag to resize

NurbsCurveCreateParabolaFromFocus Method

Creates a parabola from focus and end points.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static NurbsCurve CreateParabolaFromFocus(
	Point3d focus,
	Point3d startPoint,
	Point3d endPoint
)

Parameters

focus
Type: Rhino.GeometryPoint3d
The focal point.
startPoint
Type: Rhino.GeometryPoint3d
The start point.
endPoint
Type: Rhino.GeometryPoint3d
The end point

Return Value

Type: NurbsCurve
A 2 degree NURBS curve if successful, false otherwise.
Version Information

Rhino for Windows

Supported in: 6.2
See Also